Help with basic guide to updating safexd node and safex-wallet-cli to cryptonight v8?


#1

Hi everyone!
I am currently hosting a node on a vps and using the cli wallet. Today, since switching to cryptonight_V8, my safexd and wallet are not up to date, and do no sync to the network.
I am not a linux pro, but know enough to use it. After the wallet failed to open, it told me that safexd was not running. I tried updating and upgrading everything. I tried sudo apt update and sudo apt upgrade. Figured that might update everything, including the stuff from github. Well, after upgrading 80 packages, i reran the safexd, and used the --detach to keep running in background. I checked with htop and it appeared to be working. My safex-wallet-cli now connects, and shows proper balances, but says out of sync.
So, i guess it didnt really update, just restarted. Im not sure of all the commands i will need to get and compile the latest version. Or if there is an easier way to just update it.
There has to be other people out there wondering the same thing today, so figured id make a post asking for help while i try to get it working on my own. Thanks in advance for any help!


#2

So far, the steps I have taken are…

general update and upgrade
update ubuntu 18 binaries
download latest v011 of safexd and wallet with new -linux at the end of filename.
give both files mod permission
deleted old safexd and cli wallet
ran the new safexd (saw a red line that failed, but everything else looked normal)
ran safexd-linux again with --detach to keep running in background
checked with htop command and seems to be running fine
open and log into new safex-wallet-cli-linux.

Everything appears to have worked. I can see my balances, and wallet commands all seem to work. However, the yellow part in the beginning of the command line says “out of sync” right next to where it says wallet-safex5 in yellow.
These are the commands I used to do the above steps. wondering what I missed or what I may have done incorrectly.

sudo apt update

sudo apt upgrade

sudo apt install libnorm1 libpcsclite1

wget https://github.com/safex/safexcore/releases/download/v0.1.1/safexd-linux

wget https://github.com/safex/safexcore/releases/download/v0.1.1/safex-wallet-cli-linux

ls (to validate both files are downloaded)

chmod 755 safexd-linux

chmod 755 safex-wallet-cli-linux

ls (to validate safed-linux and safex-wallet-cli-linux turned green)

rm safexd

rm safex-wallet-cli

ls (to validate old safexd and safex-wallet-cli are deleted)

./safexd-linux

./safexd-linux --detach

htop (validate safexd-linux is running)

./safex-wallet-cli-linux


#3

I figured it out.
I noticed when first logging into the server, there was a small message in the first script that pops up and it said restart required. I tried shutdown, but it failed. I tried some other shutdown and restart commands. After trying reboot, it said I don’t have permission, so I tried sudo reboot and the terminal shut down.
After rebooting the terminal, I ran ./safexd-linux and it seemed to start normally. No red line of text this time. It also displayed a message saying that it was synced and safex-wallet-cli can now be started. it appeared to be stuck on this screen, so I typed exit.
Once exited out and at the front @myserver screen again, I typed ./safexd-linux --detach to run it again and keep running in the background.
Everything seemed normal, so I opened the wallet back up with ./safex-wallet-cli-linux and everything appears to be working like normal.
So, it seems I had everything right the first time, but didn’t reboot after updating everything. I hope this post can help others.


#4

can type in “refresh”

or . “rescan_bc”

to sync up with if the cli wallet has stalled